APS-Installer - Figured out how to fool it.

Discussion in 'General' started by SamTzu, Jun 27, 2013.

  1. SamTzu

    SamTzu Member HowtoForge Supporter

    I figured out how to fool APS-Installer to install older version of Joomla for our shop1 server.

    Since we usually install the latest Joomla on www1 server node it was not a problem that APS did that by default but on shop1 we only install the older Joomla 2.5 because Virtuemart does not support the newer (non-LTS) version.

    Solution turned out to be quite simple.
    All you have to do is over write the file that APS uses for installation on the "cache" folder. In this case it was this file.

    /usr/local/ispconfig/server/aps_packages/joomla-3.1.1-5.app.zip

    Just replace that with the downloaded older version from here...
    http://apscatalog.com/1.2/Joomla!/j...er=SofCloudIT&os=undefined&platform=undefined

    "If it's stupid but works, it ain't stupid."

    PS.

    You have to find out the new file-name and replace the file every time admin updates the APS Package list.
     
    Last edited: Jun 27, 2013
: aps

Share This Page